//
//  ViewController.m
//  tableViewDemo
//
//  Created by 利泰 on 17/3/14.
//  Copyright © 2017年 利泰. All rights reserved.
//

#import "ViewController.h"
#import "MyCell.h"
#import "MyItem.h"
@interface ViewController ()<UITableViewDelegate,UITableViewDataSource>
@property (nonatomic,strong)UITableView *tv;
@property (nonatomic,strong)NSMutableArray *array;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    
    _tv = [[UITableView alloc]initWithFrame:self.view.frame style:UITableViewStylePlain];
    _tv.delegate = self;
    _tv.dataSource = self;
    [self.view addSubview:_tv];
    [_tv registerClass:[MyCell class] forCellReuseIdentifier:@"cell"];
    
    dispatch_group_t group = dispatch_group_create();
    dispatch_group_async(group, dispatch_get_global_queue(0, 0), ^{
        [self getMyData];
    });
    
    NSLog(@"主页面出现");
    // Do any additional setup after loading the view, typically from a nib.
}
#pragma GetData
-(void)getMyData{
    NSArray *datas = [[NSArray alloc]init];
    self.array = [[NSMutableArray alloc]init];
    datas = @[
  @{@"name":@"LXL",@"age":@"27",@"image":@"http://okufme2fh.bkt.clouddn.com/01873.jpg",@"array":@[@"我爱唱歌",@"个性张扬",@"瘦脸自在",@"嘻嘻哈哈",@"啪唧啪唧"]},
  @{@"name":@"LDH",@"age":@"56",@"image":@"http://okufme2fh.bkt.clouddn.com/00765.jpg",@"array":@[@"我是刘德华",@"我是大明星",@"我在香港",@"我已经很老了",@"周日有演唱会"]},
  @{@"name":@"成龙",@"age":@"62",@"image":@"http://okufme2fh.bkt.clouddn.com/00468.jpg",@"array":@[@"我是哈哈"]},
  @{@"name":@"车阿魏",@"age":@"56",@"image":@"http://okufme2fh.bkt.clouddn.com/00480.jpg",@"array":@[@"我是刘德华",@"我是大明星",@"我在香港"]},
  @{@"name":@"史泰龙",@"age":@"65",@"image":@"http://okufme2fh.bkt.clouddn.com/00710.jpg",@"array":@[@"我是大5",@"我是萨达的阿斯顿大赛星",@"阿斯顿撒旦",@"打击不怕"]}
    ];
    
        for (NSDictionary *dic in datas) {
        MyItem *item = [MyItem initWithDictionary:dic];
        [self.array addObject:item];
    }
        [_tv reloadData];
       
    
}
#pragma TableView Delegate

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    return 1;
}
- (CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section{
    return 30;
}
- (nullable UIView *)tableView:(UITableView *)tableView viewForHeaderInSection:(NSInteger)section{
    UIView *headerView = [[UIView alloc]init];
    headerView.backgroundColor = [UIColor purpleColor];
    return headerView;
}
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView{
    return self.array.count;
}
- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath{
    MyCell *cell = [[MyCell alloc]init];
    cell.item = self.array[indexPath.section];
    return [cell cellHeightWithArray];
}

-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    static NSString *CellIdentifier = @"cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
   if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier];
    }
    MyCell *mycell = [[MyCell alloc]init];
     mycell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
    if (self.array.count >0) {
        mycell.item = self.array[indexPath.section];
    }
    cell = mycell;
    return cell;
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
